%define major	0
%define libname	%mklibname ptytty %{major}
%define devname	%mklibname ptytty -d

Name:    libptytty
Version: 2.0
Release: %mkrel 3
Summary: OS independent and secure pty/tty and utmp/wtmp/lastlog handling
License: GPLv2+
Group:   System/Libraries
URL:     http://software.schmorp.de/
Source0: http://dist.schmorp.de/%{name}/%{name}-%{version}.tar.gz
Source1: http://dist.schmorp.de/%{name}/%{name}-%{version}.tar.gz.sig
Source2: http://dist.schmorp.de/signing-key.pub
Source3: http://dist.schmorp.de/signing-key.pub.gpg.sig
Source4: gpgkey-84874CAB6D1A397A.gpg
# To recreate Source4:
#     gpg --recv-key 84874CAB6D1A397A
#     gpg --export --export-options export-minimal 84874CAB6D1A397A \
#         > gpgkey-84874CAB6D1A397A.gpg

BuildRequires: cmake
BuildRequires: gnupg2
BuildRequires: git
BuildRequires: ninja-build

%global desc \
libptytty is a small library that offers pseudo-tty management in an \
OS-independent way.  It also offers session database support (utmp and \
optional wtmp/lastlog updates for login shells) and supports fork'ing after \
startup and dropping privileges in the calling process.  Libptytty is \
written in C++, but it also offers a C-only API. \
%{nil}

%description %{desc}

%package -n %{libname}
Summary: OS independent and secure pty/tty and utmp/wtmp/lastlog handling
Provides: %{name} = %{version}-%{release}
Obsoletes: libptytty < 2.0-2

%description -n %{libname}
%{desc}

%package -n %{devname}
Summary: Development headers for libptytty
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: libptytty-devel < 2.0-2

%description -n %{devname}
%{desc}

%prep
%{gpgverify} --keyring='%{SOURCE4}' --signature='%{SOURCE3}' --data='%{SOURCE2}'
%autosetup -S git

%build
%cmake -G Ninja
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%{_libdir}/libptytty.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libptytty.so
%{_libdir}/pkgconfig/libptytty.pc
%{_mandir}/man3/*
%doc Changes
%doc README


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.0-3.mga10
+ Revision: 2216656
- Mageia 10 Mass Rebuild

* Tue Dec 06 2022 wally <wally> 2.0-2.mga9
+ Revision: 1918610
- libify pkg

* Tue Dec 06 2022 ns80 <ns80> 2.0-1.mga9
+ Revision: 1918548
- imported package libptytty

